Page MenuHomePhabricator

Enable Reply Tool as Beta Feature on "Phase 3" wikis
Closed, ResolvedPublic

Description

This task is about enabling the relevant config flag(s) to make The Reply Tool available to contributors at the "Phase 3" wikis (listed below) as a Beta Feature.

Phase 3 wikis

Source: Talk pages project/Scaling

We are defining "Phase 3" wikis as all Wikipedias EXCEPT the following:

  • Phase 0 [i]
  • Phase 1 [ii]
  • Phase 2 [iii]
  • English, Finnish, Gan, German, Inuktitut, Kazakh, Kurdish, Russian, Tajik, and Uzbek.

Implementation details

  • To use the Reply Tool, all logged in editors at the Wikipedias listed in the "Phase 3 wikis" section above, who DO NOT have the Automatically enable most beta features preference enabled, will need to do the following:
  • To use the Reply Tool, all logged in editors at the Wikipedias listed in the "Phase 2 wikis" section above, who DO have the Automatically enable most beta features preference enabled, will need to do the following:
    • 1. Visit any talk page or talk-like page (e.g. a page where __NEWSECTIONLINK__ is present), observe [ reply ] links are appended to each comment

Deployment timing

Deployment is scheduled for this upcoming Wednesday, 4-November-2020.

Wikis to test

Column AColumn BColumn CColumn DColumn E
Wikipedia (unless otherwise noted)Language codeAnnouncement URLPages to test whether [ reply ] links appearPages where you can test posting comments
Afrikaansaf.wikin/ahttps://af.wikipedia.org/wiki/Wikipedia:GeselshoekieUser sandbox
Bengalibn.wikin/ahttps://w.wiki/6eUser sandbox
Bulgarianbg.wikin/ahttps://w.wiki/jsBUser sandbox
Cantonesezh_yue.wikin/ahttps://w.wiki/jsCUser sandbox
Egyptianarz.wikin/ahttps://w.wiki/jsDUser sandbox
Estonianet.wikin/ahttps://w.wiki/jsEUser sandbox
Indonesianid.wikin/ahttps://w.wiki/jsFUser sandbox
Swahilisw.wikin/ahttps://w.wiki/jsGUser sandbox
Telugute.wikin/ahttps://w.wiki/jsHUser sandbox
Welshcy.wikin/ahttps://w.wiki/jsJUser sandbox

Testing instructions

  1. Visit Special:Preferences > Beta features (read: mw-prefsection-betafeatures) at each of the Wikipedias listed above and confirm DiscussionTools is available as a Beta feature
  2. Visit the pages listed in the "Pages to test whether [ reply ] links appear" column above and file a task if [ reply ] links are NOT appearing where and/or how they should be
  3. Visit the pages listed in the "Pages where you can test posting comments" column above and:
    • A) Document the text input mode – source or visual – is shown when a logged in user uses the Reply Tool for the first time on a given wiki
    • B) Document if the Reply Tool does NOT "remember" [i] the text input mode – source or visual – you used in your previous edit
    • C) File a task if you encounter cases where you are unable to post comments [ii] and/or if the Reply Tool behaves in any ways you deem to be unexpected

Text input mode behavior

WikiInput mode shown by default (logged in)Tool remembers last input mode used (y/n)

Done

  • The behavior described in the "Implementation" details section above is implemented
  • QA has completed the steps described in the "Testing instructions" section
  • QA has filed tickets for the new issues that surfaced while completing the steps described in the "Testing instructions" section
  • QA has filled in the table in the "Text input mode behavior" section

i. Phase 0 aka "Reply Tool partner wikis": Arabic, Dutch, Hungarian and French
ii. Phase 1: T251197
iii. Phase 2: T264693

Event Timeline

ppelberg updated the task description. (Show Details)Oct 26 2020, 4:11 AM
ppelberg updated the task description. (Show Details)Oct 26 2020, 4:16 AM
Tacsipacsi updated the task description. (Show Details)Oct 26 2020, 3:23 PM

For clarity: If the Reply tool is already available at your non-Wikipedia wiki (i.e., Meta-Wiki, MediaWiki.org, English Wikiversity), then it should continue to be available there.

ppelberg updated the task description. (Show Details)Oct 30 2020, 7:11 PM

Deployment timing

⚠️A deployment date has not yet been determined.

Deployment is scheduled for this upcoming Wednesday, 4-November-2020. [i]

This task description has been updated to reflect the above


i. As with all deployments, this timing could change. If/when it does, we will comment as much on this ticket.

Next steps

  • Engineering to write necessary config patch(es)
  • @ppelberg to update the table in the task description's Phase 3 wikis section with the wikis where post-deployment QA should be conducted.

Change 638201 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on almost all Wikipedias ("phase 3")

https://gerrit.wikimedia.org/r/638201

The proposed config patch uses the 'wikipedia' dblist, which has a few consequences:

  • Newly created Wikipedias will also automatically get DiscussionTools as a beta feature. It also includes a few Wikipedias that were created after the spreadsheet in the task, and which are not listed there, e.g. smnwiki.
  • A few non-Wikipedia sites are included, because they're in that dblist for some reason, e.g. arbcom_enwiki, tenwiki, wg_enwiki. They are mostly private or closed so this shouldn't affect anyone negatively. (I was actually surprised to learn about this.)

Let me know if that isn't okay and I'll add extra exceptions to the configuration (we can probably compare with https://meta.wikimedia.org/wiki/Special:SiteMatrix to figure out which of the projects actually are or aren't Wikipedias…).

ppelberg updated the task description. (Show Details)Tue, Nov 3, 1:44 AM

The proposed config patch uses the 'wikipedia' dblist, which has a few consequences:

Thank you for calling these out, @matmarex. Comments in line below.

  • Newly created Wikipedias will also automatically get DiscussionTools as a beta feature. It also includes a few Wikipedias that were created after the spreadsheet in the task, and which are not listed there, e.g. smnwiki.

Newly created Wikipedias automatically getting DiscussionTools as a beta feature and Wikipedias that were created after the spreadsheet also getting DiscussionTools as part of this deployment is fine.

  • A few non-Wikipedia sites are included, because they're in that dblist for some reason, e.g. arbcom_enwiki, tenwiki, wg_enwiki. They are mostly private or closed so this shouldn't affect anyone negatively. (I was actually surprised to learn about this.)

This is fine.

Aside: is the dblist you mentioned above something we maintain or something that's used site-wide?

Task description update

Added ===Wikis to test section.

Aside: is the dblist you mentioned above something we maintain or something that's used site-wide?

I think @matmarex means rOMWC dblists/wikipedia.dblist here, which is site-wide.

Change 638201 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on almost all Wikipedias ("phase 3")

https://gerrit.wikimedia.org/r/638201

Mentioned in SAL (#wikimedia-operations) [2020-11-04T20:12:26Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: d2a57725f8f6fdaa3f40c834e84b43a0260077f2: Enable DiscussionTools as a beta feature on almost all Wikipedias (T266303) (duration: 01m 07s)

matmarex added a project: Editing QA.
matmarex moved this task from Inbox to High Priority on the Editing QA board.

Change 639606 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Fix DiscussionTools wikis config for thwiki/tgwiki

https://gerrit.wikimedia.org/r/639606

Change 639606 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix DiscussionTools wikis config for thwiki/tgwiki

https://gerrit.wikimedia.org/r/639606

Mentioned in SAL (#wikimedia-operations) [2020-11-05T19:16:54Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 453b9c64c44a256eafdfafe7a0023484377bbbd2: Fix DiscussionTools wikis config for thwiki/tgwiki (T266303) (duration: 01m 08s)

DiscussionTools was accidentally disabled on Thai Wikipedia (thwiki) instead of Tajiki Wikipedia (tgwiki). It was a mistake in the original spreadsheet that I didn't notice when copy-pasting the list into the previous patch, @Whatamidoing-WMF noticed it today. Sorry about that, it's fixed now.

Ryasmeen added a subscriber: Ryasmeen.EditedFri, Nov 6, 1:04 AM

Completed testing on the wikis mentioned in the task description. Test results can be found here:

https://docs.google.com/spreadsheets/d/1ccTSx-v1yb8kvli7e8djFexXL7jThPHE1WomtkCLG6I/edit#gid=1328198165

@ppelberg: I found some reply links being missing on Cantonese and Telegu wiki. Could you review those? Check the row 5 and row 10 on the workbook for more details.

Ryasmeen assigned this task to ppelberg.Fri, Nov 6, 1:05 AM

@Ryasmeen @ppelberg I had a look and this looks okay to me, the affected comments are very old and have timestamps in wrong formats (missing or incorrect localisation). I left comments on the spreadsheet.

@Ryasmeen @ppelberg I had a look and this looks okay to me, the affected comments are very old and have timestamps in wrong formats (missing or incorrect localisation). I left comments on the spreadsheet.

Thanks @matmarex. I will move it to sign off column then! :)

ppelberg closed this task as Resolved.Tue, Nov 17, 2:44 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptTue, Nov 17, 2:44 AM
Bodhisattwa moved this task from Backlog to Closed on the Bengali-Sites board.Thu, Nov 19, 3:57 AM